Skip to main content
POST
Create Webhook

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

Body

application/json

Register a webhook endpoint. At least one event filter is required.

Parameters for creating a webhook endpoint

url
string<uri>
required

The final HTTPS URL where webhook events will be sent.

Example:

"https://api.example.com/webhooks/safepay"

event_types
string[]
required

Exact public event names or trailing-wildcard category filters such as payment.*, refund.*, or settlement.*.

Example:
description
string

Optional description for the webhook endpoint

Example:

"Raast production webhook"

enabled
boolean

Whether the webhook endpoint should be enabled immediately

Example:

true

Response

This response contains details of a Webhook

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Contains the response data